Subject: Re: linux-next: manual merge of the akpm tree with the tip tree

From: Andrew Morton <[email-masked]>
Date: Thu, 26 Jul 2012 11:05:01 -0700

On Wed, 25 Jul 2012 12:26:13 -0700
Andrew Morton <[email-masked]> wrote:

> On Wed, 25 Jul 2012 21:03:51 +0200
> Ingo Molnar <[email-masked]> wrote:
> 
> > > This means that if the above code reappears in linux-next or 
> > > mainline, the current copy of 
> > > mm-memcg-fix-compaction-migration-failing-due-to-memcg-limits.patch 
> > > will no longer update it, and I probably won't notice that 
> > > omission.
> > 
> > Did you plan to send Johannes's memcg bits to Linus in this 
> > merge window?
> 
> Yes.  I was kinda thinking of starting the bombing run on Monday but I
> guess I could do the MM queue on Thursday.

Sorry, this didn't work out: there's still too much stuff which hasn't
gone into mainline yet (slab, NFS, others).  Merging the MM code now
would involve a worrying amount of last-minute code rework and would
cause the owners of those trees to have to do last-minute rework as
well.  This is why I always go last.

I'll take another look on Monday.